#define EXPORT extern "C" __declspec(dllexport)

EXPORT void SetMouseHook(HWND);
EXPORT void MouseUnHook(void);
EXPORT void SetButtonSearchHook(HWND);
EXPORT void ButtonSearchUnHook(void);
EXPORT void SetWindowHook(HWND,HWND,int);
EXPORT void WindowUnHook(void);
EXPORT void SetSendKeyComboHook(HWND,HWND);
EXPORT void SetSendKeyComboUnHook(void);
EXPORT void SetButtonFlag(BOOL);
EXPORT void SetHookFlag(BOOL);
EXPORT void ResetButtonFlag(void);
EXPORT void SetCursorNumber(int);
EXPORT void SetCursorHandle(TCHAR *,TCHAR *,int);
EXPORT void GetFileName(TCHAR *, TCHAR *, TCHAR *);
EXPORT void SetTarget(void);
EXPORT int GetTargetHitTestCode(int);
EXPORT HWND GetTargetHandle(void);
EXPORT HWND GetWindowFocus(HWND);
EXPORT void SetWheelRedirectFlag(BOOL);
EXPORT HWND GetRootWindow(HWND);
EXPORT void SetMouseScroll(int, int);
EXPORT HWND SearchScrollBar(HWND, LONG);
EXPORT void SetWheelActiveFlag(BOOL);
EXPORT void SetKuruKuruFlag(BOOL);

typedef BOOL (WINAPI *LPFN_ISWOW64PROCESS) (HANDLE hProcess,PBOOL Wow64Process);

#define MAX_CLASS_NAME	128
#define NO_HITTEST		-3
#define ID_SETTARGET	106
#define ID_GETWINDOWFOCUS	112
#define MAUHOOK_MSG		WM_APP + 100
#define WHEELREDIRECT_MSG	WM_APP + 107
#define FREESCROLL_MSG		WM_APP + 111
#define FREESCROLLSEARCH_MSG	WM_APP + 113
#define FREESCROLLINIT_MSG	WM_APP + 114
#define WM_KEYBOARD_MSG		WM_APP + 110
#define KURUKURUHOOK_MSG	WM_APP + 112

#define WM_XBUTTONDOWN		0x020B
#define WM_XBUTTONUP		0x020C
#define WM_XBUTTONDBLCLK	0x020D
#define WM_NCXBUTTONDOWN	0x00AB
#define WM_NCXBUTTONUP		0x00AC
#define WM_NCXBUTTONDBLCLK	0x00AD

#define VK_XBUTTON1			0x05
#define VK_XBUTTON2			0x06

#define WM_XBUTTON1DOWN		WM_APP + 121
#define WM_XBUTTON1UP		WM_APP + 122
#define WM_XBUTTON1DBLCLK	WM_APP + 123
#define WM_XBUTTON2DOWN		WM_APP + 124
#define WM_XBUTTON2UP		WM_APP + 125
#define WM_XBUTTON2DBLCLK	WM_APP + 126
#define WM_MOUSEWHEEL_UP	WM_APP + 127
#define WM_MOUSEWHEEL_DOWN	WM_APP + 128
#define WM_MOUSEWHEEL_LEFT	WM_APP + 129
#define WM_MOUSEWHEEL_RIGHT	WM_APP + 130

#define MK_SBTMODE			0x0080
